Package ru.bitel.oss.kernel.entity.common.bean.enums

# Enum Class EntityType

java.lang.Object
java.lang.Enum<EntityType>
ru.bitel.oss.kernel.entity.common.bean.enums.EntityType

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityType>`, `Constable`

public enum EntityType extends Enum<EntityType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATTRIBUTE_PARAMETER`
  `CONTRACT_PARAMETER`
  `NEW_CONTRACT_PARAMETER`
  `OBJECT_PARAMETER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EntityType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static EntityType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CONTRACT_PARAMETER

    public static final EntityType CONTRACT_PARAMETER

  - ### NEW_CONTRACT_PARAMETER

    public static final EntityType NEW_CONTRACT_PARAMETER

  - ### OBJECT_PARAMETER

    public static final EntityType OBJECT_PARAMETER

  - ### ATTRIBUTE_PARAMETER

    public static final EntityType ATTRIBUTE_PARAMETER

- ## Method Details

  - ### values

    public static EntityType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static EntityType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null